package report_chapter_ticker

import (
	"hongze/hongze_yb/global"
	"hongze/hongze_yb/utils"
)

// GetTickerByChapterId 根据章节ID获取指标列表
func GetTickerByChapterId(reportChapterId int) (list []*reportChapterTicker, err error)  {
	err = global.MYSQL["rddp"].Model(reportChapterTicker{}).Where("report_chapter_id = ?", reportChapterId).Order("sort asc, id asc").Scan(&list).Error
	if err == utils.ErrNoRow {
		err = nil
	}
	return
}
